 package scone.util.tokenstream;


/**
 * Indicates that the Token buffer is closed meaning it can not be written to
 * anymore.
 * @author Volkert Buchmann (ported from code by Steve Ihde), 
 *         IBM Almaden Research Center, 
 *         (c) Copyright IBM Corp 2000
 * @version 1.0
 */
class TokenBufferClosedException extends Exception {

    /**
     * Constructs a new TokenBufferClosedException with no message.     
     */
    TokenBufferClosedException() {
        this("");
    }
    
    /**
     * Constructs a new TokenBufferClosedException with a detailed message.     
     * @param   message The detailed message.
     */
    TokenBufferClosedException(String message) {
        super(message);
    }
}
